Subject: Re: Newbie GUI development
From: "Gerrit P. Haase" <[email-masked]>
To: Ken Dibble <[email-masked]>
Cc: cygwin <[email-masked]>
Date: Tue, 5 Oct 2004 11:46:18 +0200

Hallo Ken,

Am Dienstag, 5. Oktober 2004 um 11:21 schriebst du:

> I'm trying to build a Linux gui app and failing miserably.
> Any help would be appreciated.

> $ pkg-config --libs gtk+-2.0
> gnome-config: not found
> Package gobject-2.0 was not found in the pkg-config search path.
> Perhaps you should add the directory containing `gobject-2.0.pc'
> to the PKG_CONFIG_PATH environment variable
> Package 'gobject-2.0', required by 'GdkPixbuf', not found

> I couldn't find gnome-config in the setup package search facility.
> I did find     cygobject-2.0-0.dll
> in                glib2-runtime/glib2-runtime

The name of the DLL is actually 'cyggobject-2.0-0.dll', the prefix is
'cyg' followed by the package name.  And it is included:
http://cygwin.com/cgi-bin2/package-grep.cgi?grep=cyggobject-2.0-0.dll

Expected output:
$ pkg-config --libs gtk+-2.0
-Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lintl -liconv  

Please run: cygcheck -c gtk2-x11

Expected output:
$ cygcheck -c gtk2-x11
Cygwin Package Information
Package              Version        Status
gtk2-x11             2.4.4-1        OK

If you get the same, then maybe your pkg-config path setting is
broken?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/